%define with_debuginfo %{nil}
%define with_debuginfo 0
%if 0%{?rhel}%{?fedora}
  %if 0%{?rhel}
    %if 0%{?rhel} <= 7
      %define with_debuginfo 1
    %endif
  %else
    %if 0%{?fedora} <= 19
      %define with_debuginfo 1
    %endif
  %endif
%endif
%if 0%{?with_debuginfo}
%else
%global debug_package %{nil}
%endif
%global gituser cloose
%global gitname CuteMarkEd

%define doc_license %{nil}
%define doc_license 1
%if 0%{?rhel}%{?fedora}
  %if 0%{?rhel}
    %if 0%{?rhel} < 7
      %define doc_license 0
    %endif
  %else
    %if 0%{?fedora} < 19
      %define doc_license 0
    %endif
  %endif
%endif

%define license_files LICENSE.md

Name:                   cutemarked
Summary:                Qt-based Markdown editor
Group:                  Productivity/Text/Editors
Version:                0.11.3
Release:                9%{?dist}
License:                GPL-2.0+
URL:                    http://github.com/%{gituser}/%{gitname}
#Source0:                CuteMarkEd-%{version}.tar.gz
Source0:                https://github.com/%{gituser}/%{gitname}/archive/v%{version}.tar.gz#/%{gitname}-%{version}.tar.gz
Requires:               cutemarked-plugin-fontawesome
BuildRequires:          libstdc++-devel 
BuildRequires:          gcc-c++ 
BuildRequires:          make
BuildRequires:          pkgconfig
BuildRequires:          pkgconfig(Qt5Core)
BuildRequires:          pkgconfig(Qt5Gui)
BuildRequires:          pkgconfig(Qt5Network)
BuildRequires:          pkgconfig(Qt5WebKitWidgets)
BuildRequires:          qt5-qttools-devel
BuildRequires:          libmarkdown-devel
BuildRequires:          pkgconfig(hunspell)
BuildRequires:          desktop-file-utils
BuildRequires:          pkgconfig(gstreamer-0.10) pkgconfig(gstreamer-app-0.10)
BuildRequires:          pkgconfig(sqlite3)

%description
A Qt-based Markdown editor with live HTML preview and syntax highlighting of
markdown document.

%package plugin-fontawesome
Summary:                Qt Iconengine - Fontawesome plugin
Group:                  Qt/Qt
License:                BSD-3-Clause

%description plugin-fontawesome
This package provides the fontawesome iconengine plugin.
 
%prep
%setup -q -n "%{gitname}-%{version}"

%build
qmake-qt5
%{__make}

%install
%{__make} INSTALL_ROOT="%{buildroot}" install

# Validates the .desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%post
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create "%{_datadir}/icons/hicolor" &>/dev/null || :
/bin/touch --no-create "%{_datadir}/mime/packages" &>/dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [[ "${1}" -eq "0" ]] ; then
    /usr/bin/glib-compile-schemas "%{_datadir}/glib-2.0/schemas" &> /dev/null || :
    /bin/touch --no-create "%{_datadir}/icons/hicolor" &>/dev/null
    /usr/bin/gtk-update-icon-cache -f "%{_datadir}/icons/hicolor" &>/dev/null || :
    /usr/bin/update-mime-database "%{_datadir}/mime" &> /dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas "%{_datadir}/glib-2.0/schemas" &> /dev/null || :
/usr/bin/gtk-update-icon-cache "%{_datadir}/icons/hicolor" &>/dev/null || :
/usr/bin/update-mime-database -n "%{_datadir}/mime" &> /dev/null || :

%files 
%doc README.md
%if 0%{?doc_license}
%license %{license_files}
%else
%doc %{license_files}
%endif
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%files plugin-fontawesome
%{_libdir}/qt5/plugins/iconengines/libfontawesomeicon.so

%changelog
* Fri Apr 20 2018 Tomasz Tomasik <scx.mail@gmail.com> - 0.11.3-9
- Fix problem with debuginfo package in Fedora
- Rebuilt for EL7

* Fri Apr 20 2018 Tomasz Tomasik <scx.mail@gmail.com> - 0.11.3-8
- SPEC file cleanups
- Add post, postun and posttrans sections
- Rebuilt for EL7

* Fri Apr 20 2018 Tomasz Tomasik <scx.mail@gmail.com> - 0.11.3-7
- SPEC file cleanups
- Use license macro
- Rebuilt for EL7

* Tue Mar 29 2016 Huaren Zhong <huaren.zhong@gmail.com> 0.11.3
- Rebuild for Fedora

* Mon Apr 07 2014 Christian Loose <christian.loose@hamburg.de> 0.9.2-1
- New patch version 0.9.2 released

* Fri Jan 31 2014 Christian Loose <christian.loose@hamburg.de> 0.9.1-1
- New patch version 0.9.1 released

* Sat Jan 25 2014 Christian Loose <christian.loose@hamburg.de> 0.9.0-1
- New minor version 0.9.0 released

* Tue Nov 19 2013 Christian Loose <christian.loose@hamburg.de> 0.8.1-1
- New patch version 0.8.1 released

* Fri Nov 08 2013 Christian Loose <christian.loose@hamburg.de> 0.8.0-1
- New minor version 0.8.0 released

* Thu Jul 04 2013 Christian Loose <christian.loose@hamburg.de> 0.6.1-1
- New patch version 0.6.1 released

* Tue Jun 25 2013 Christian Loose <christian.loose@hamburg.de> 0.6.0-1
- New minor version 0.6.0 released

* Fri Jun 14 2013 Christian Loose <christian.loose@hamburg.de> 0.5.0-1
- New minor version 0.5.0 released

* Fri Jun 07 2013 Christian Loose <christian.loose@hamburg.de> 0.4.1-2
- New patch version 0.4.1 released

* Thu May 30 2013 Christian Loose <christian.loose@hamburg.de> 0.4.1-1
- First Linux packages

* Tue Apr 30 2013 Christian Loose <christian.loose@hamburg.de> 0.1.0-1
- Initial release

